Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.query
Interface QueryFactory

All Known Implementing Classes:
  QueryFactoryImpl

    public interface QueryFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `QueryPackage`

Field Summary
`static QueryFactory` | `eINSTANCE` The singleton instance of the factory.

Method Summary
`JavaModelQuery` | `createJavaModelQuery()` Returns a new object of class 'Java Model Query'.
`ModelQueryParameter` | `createModelQueryParameter()` Returns a new object of class 'Model Query Parameter'.
`ModelQuerySet` | `createModelQuerySet()` Returns a new object of class 'Model Query Set'.
`OCLModelQuery` | `createOCLModelQuery()` Returns a new object of class 'OCL Model Query'.
`QueryPackage` | `getQueryPackage()` Returns the package supported by this factory.

Field Detail

### eINSTANCE

    static final QueryFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createModelQuerySet

    ModelQuerySet createModelQuerySet()

  Returns a new object of class 'Model Query Set'.

  Returns:
    a new object of class 'Model Query Set'.

### createJavaModelQuery

    JavaModelQuery createJavaModelQuery()

  Returns a new object of class 'Java Model Query'.

  Returns:
    a new object of class 'Java Model Query'.

### createModelQueryParameter

    ModelQueryParameter createModelQueryParameter()

  Returns a new object of class 'Model Query Parameter'.

  Returns:
    a new object of class 'Model Query Parameter'.

### createOCLModelQuery

    OCLModelQuery createOCLModelQuery()

  Returns a new object of class 'OCL Model Query'.

  Returns:
    a new object of class 'OCL Model Query'.

### getQueryPackage

    QueryPackage getQueryPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD